GTK 2 & 3 - backports (Xenial only)

PPA description

GTK 2.24.32 & GTK 3.24.20 & various supporting libraries for Xenial only.

Backported GTK stack from Bionic allowing most newer than Xenial software using GTK to run fine. Newer Xenial versions of various applications that require GTK >= 3.20 are also here that are published at other PPAs on this Launchpad site for newer series than Xenial (eg. Handbrake and Inkscape).

Now with several core GTK backports from Focal and Jammy including glib2.0 2.72.4 and gobject-introspection 1.72.0 (Jammy), plus GTK 3.24.20 (Focal). This is to meet minimum requirements for building various recent software.

==========================================================================
                          GTK 2 & 3 (Xenial only)
==========================================================================

adwaita-icon-theme (3.36.1), atk1.0 (2.28.1), atkmm1.6 (2.24.2), bubblewrap (0.4.0), cairo (1.16.0), cairomm (1.12.2), chafa (1.12.4), cheese (3.28.0), clutter-1.0 (1.26.2), clutter-gst-3.0 (3.0.26), clutter-gtk (1.8.4), cogl (1.22.4), colord-gtk (0.1.26), compiz (0.9.13.1+18.10.20180930), d-conf (0.26.0), dconf-editor (3.28.0), dee (1.2.7+17.10), devhelp (3.28.1), eog (3.28.1), evince (3.28.4), evolution (3.28.1), evolution-data-server (3.28.5), exiv2 (0.27.6), font-manager (0.7.3), fontconfig (2.13.1), freeglut (3.4.0), freetype (2.10.4), fribidi (1.0.8), gconf (3.2.6), gconf-editor (3.0.1), gcr (3.36.0), gdk-pixbuf (2.36.12), gdl (3.28.0), girara (0.4.1), gjs (1.52.5), glade (3.22.2), glib-networking (2.56.0), glib2.0 (2.72.4), glibmm2.4 (2.56.0), gmp (6.3.0), gnome-autoar (0.2.3), *backgrounds (3.28.0), *calculator (3.28.2), *desktop-testing (2016.1), *desktop3 (3.28.2), *disk-utility (3.22.1), *flashback (3.28.0), *keyring (3.28.2), *online-accounts (3.28.0), *python (2.28.1), *remote-desktop (0.1.8), *settings-daemon (3.28.1), *shell (3.28.4), *tweaks (3.28.1), *vfs (2.24.4), *video-effects (0.4.3), gnutls28 (3.7.2), gobject-introspection (1.72.0), gphoto2 (2.5.28), graphene (1.8.4), gsettings-desktop-schema (3.28.1), gsmartcontrol (1.1.3), gspell (1.6.1), gssdp (1.2.3), gstreamermm-1.0 (1.10.0), gtk+2.0 (2.24.32), gtk+3.0 (3.24.20), gtk-sharp2 (2.12.40), gtkmm2.4 (2.24.5), gtkmm3.0 (3.24.2), gtksourceview3 (3.24.11), gtksourceview4 (4.6.1), gupnp (1.2.4), gupnp-igd (1.2.0), gvfs (1.36.1), harfbuzz (8.3.0), hicolor-icon-theme (0.17), ibus (1.5.17), icu (60.2), icu-le-hb, ideviceinstaller (1.1.1), json-c (0.17), json-glib, jsonrpc-glib, libcanberra, libchamplain, libdazzle (3.28.1), libevent (2.1.12-stable), libgcrypt20, libgdata (0.17.9), libgee-0.8, libgit2 (1.7.2), libgit2-glib, libglib-object-introspection-perl, libglib-perl, libgnome (2.32.1), libgnomecanvas (2.30.3), libgnomeui (2.24.5), libgom (0.4), libgphoto2 (2.5.31), libgusb (0.3.4), libgweather (3.28.2), libgnomekbd (3.26.0), libgpg-error, libgsystem (2015.2), libgudev (232), libhandy (0.0.13), libical3 (3.0.9), libimobiledevice (1.3.0), libplist (2.2.0), libmtp (1.1.21), libopenobex (1.7.2), libpeas, libpng1.6, libquvi (0.9.4), libsecret, libsigc++-2.0 (2.10.0), libsignon-glib (1.14+17.04), libsoup2.4 (2.74.2), libsynthesis (3.4.0.47.5+syncevolution-1.5.3), libusbmuxd (2.0.2), libwebp (1.4.0), libwnck3 (3.24.1), lirc (0.10.2), mate-dock-applet (0.90.gtk2), metacity (3.28.0), mm-common, mozjs52 (52.9.1), mpclib3 (1.1.0), mpfr4 (4.0.2), mutter (3.28.4+git), nautilus (3.26.4), nettle (3.7.3), notification-daemon (3.20.0), obex-data-server (0.4.6), p11-kit (0.23.20), pango1.0 (1.42.4), pangomm (2.40.1), poppler (22.02.0), poppler-data (0.4.11), protobuf (3.12.4), pycairo (1.16.2), pygobject (3.32.2), quvi (0.9.5), seahorse (3.20.0), sgml-base (1.31), simple-scan (3.28.0), syncevolution (1.5.3), sysprof (3.28.1), telepathy-glib (0.24.1), template-glib (3.28.0), totem (3.26.0), totem-pl-parser (3.26.5), tracker (2.3.6), unbound (1.17.1), usbmuxd (1.1.1), vala (0.40.17), vte2.9.1 (0.52.2), wayland-protocols (1.15), webkit2gtk (2.30.6), webkitgtk (2.4.11), woff2 (1.0.2), zeitgeist (1.0), zenity (3.28.1), zlib (1.2.13)

Linux Mint 18.1 Serena: mint-meta-codecs (replaces some obsolete deps, ie. GStreamer, with up-to-date versions), mint-themes{-gtk3} (upgrading these themes packages is required for compatibility with GTK >= 3.20 theming)

Apps (requiring GTK >= 3.20): entangle (3.0), gthumb (3.12.5), handbrake (1.7.2), indicator-sound-switcher (2.3.9), inkscape (1.0.2), meld (3.20.4), pix (2.4.11), remmina (1.4.35), shotwell (0.30.14), xapp (1.4.9), xed (2.6.2), xpad (5.4.0), xreader (2.6.4)

* denotes a shorthand package name with a common prefix or suffix removed

==========================================================================

Various commonly used applications require GTK >= 3.22 for recent versions (Xenial ships with GTK 3.18). Newer versions of various such applications (see above table) are here for Xenial users who upgrade their system using this PPA. A few GTK 3.18 compatibile versions for Xenial (eg. Meld 3.18.3 at ppa:savoury1/utilities) are also available in other PPAs at this site.

Linux Mint 18.1 Serena (Xenial-based) systems are supported by this PPA and the mint-themes package provides GTK >= 3.20 compatible Mint themes.

NOTE: This PPA will upgrade core GTK 2 & 3 packages on Xenial which might cause unexpected issues with the desktop environment and/or software that is dependent on particular GTK versions (however, no real issues have yet been observed in testing these packages for over two years). So please be sure you really want the newer GTK versions (for newer applications) found here and always remember: do a full system backup before such an upgrade!

*** Install ***

To successfully install these newer GTK packages on a Xenial-based system:

  sudo add-apt-repository ppa:savoury1/ffmpeg4
  sudo add-apt-repository ppa:savoury1/gtk-xenial
  sudo apt-get update
  sudo apt-get upgrade && sudo apt-get dist-upgrade

Some packages here are built with and require FFmpeg 4.x so that PPA must be added for successful upgrade. Also, HandBrake 1.6.1 is now built with FFmpeg 6.0 and oneVPL. Add these commands at top of list above to install:

  sudo add-apt-repository ppa:savoury1/ffmpeg6
  sudo add-apt-repository ppa:savoury1/handbrake

Install of Inkscape needs various deps so do this before update/upgrade:

  sudo add-apt-repository ppa:savoury1/inkscape

For other X-Apps: https://launchpad.net/~savoury1/+archive/ubuntu/xapps

*** Build ***

This PPA has build dependencies on:

  ppa:savoury1/toolchain
  ppa:savoury1/build-tools
  ppa:savoury1/backports
  ppa:savoury1/apt-xenial
  ppa:savoury1/encryption
  ppa:savoury1/gpg
  ppa:savoury1/fonts
  ppa:savoury1/python
  ppa:savoury1/graphics
  ppa:savoury1/multimedia
  ppa:savoury1/ffmpeg4

Building GTK 3.22.30 needs debhelper >= 10.3 (ppa:savoury1/build-tools) as unresolvable build failures occur on earlier debhelper versions. A newer debhelper requires backports of other newer (than Xenial) build tools, all of which are found at ppa:savoury1/build-tools (not required to install).

A newer GCC (>= 6) than Xenial (GCC 5.4.0) is needed to build webkit2gtk (GCC 7.5.0 from ppa:savoury1/toolchain was used) and libgstreamer1.0-dev (>= 1.13.1) is needed (ppa:savoury1/multimedia or ppa:savoury1/ffmpeg4), plus newer libgcrypt20 (>= 1.7.0) as well (ppa:savoury1/gpg). Backported fontconfig and freetype (copied here from ppa:savoury1/fonts) are needed to build some parts of the GTK stack and built packages depend on them.

*** Credits ***

- Creators of GTK: Peter Mattis and the entire GTK team
  https://www.gtk.org/overview.php

- Package code: Debian GNOME Maintainers
  https://tracker.debian.org/pkg/gtk+3.0

Adding this PPA to your system

You can update your system with unsupported packages from this untrusted PPA by adding ppa:savoury1/gtk-xenial to your system's Software Sources. (Read about installing)

sudo add-apt-repository ppa:savoury1/gtk-xenial
sudo apt update
        
Technical details about this PPA

This PPA can be added to your system manually by copying the lines below and adding them to your system's software sources.

deb https://ppa.launchpadcontent.net/savoury1/gtk-xenial/ubuntu xenial main 
deb-src https://ppa.launchpadcontent.net/savoury1/gtk-xenial/ubuntu xenial main 
Signing key:
4096R/E996735927E427A733BB653E374C7797FB006459 (What is this?)
Fingerprint:
E996735927E427A733BB653E374C7797FB006459

Dependencies:

For questions and bugs with software in this PPA please contact Rob Savoury.

PPA statistics

Activity
15 updates added during the past month.
View package details

Overview of published packages

151198 of 198 results
Package Version Uploaded by
mpclib3 1.1.0-1~16.04.sav0 Rob Savoury ()
mpfr4 4.0.2-1~16.04.sav0 Rob Savoury ()
mutter 3.28.4+git20200505-0ubuntu16.04.2sav0 Rob Savoury ()
nautilus 1:3.26.4-0~ubuntu16.04.5sav0 Rob Savoury ()
nettle 3.7.3-1~16.04.sav0 Rob Savoury ()
network-manager 1.10.6-2ubuntu1.4~16.04.sav1 Rob Savoury ()
network-manager-pptp 1.2.6-1~16.04.sav0 Rob Savoury ()
notification-daemon 3.20.0-3~16.04.sav0 Rob Savoury ()
obex-data-server 0.4.6-1~16.04.sav0 Rob Savoury ()
p11-kit 0.23.20-1ubuntu0.1~16.04.sav0 Rob Savoury ()
pango1.0 1.42.4-7~16.04.sav0 Rob Savoury ()
pangomm 2.40.1-4~16.04.sav0 Rob Savoury ()
pix 2.4.11-0ubuntu1~16.04.sav0.1 Rob Savoury ()
poppler 22.02.0-2ubuntu0.4~16.04.sav0 Rob Savoury ()
poppler-data 0.4.11-1~16.04.sav0 Rob Savoury ()
ppp 2.4.7-2+2ubuntu1.3~16.04.sav1 Rob Savoury ()
pptp-linux 1.9.0+ds-2~16.04.sav0 Rob Savoury ()
protobuf 3.12.4-1ubuntu7.16.04.1sav0 Rob Savoury ()
pycairo 1.16.2-2~16.04.sav0 Rob Savoury ()
pygobject 3.32.2-1~16.04.sav0 Rob Savoury ()
python3.6 3.6.15-0ubuntu1~16.04.sav5 Rob Savoury ()
quvi 0.9.5-0ubuntu1~16.04.sav0 Rob Savoury ()
remmina 1.4.35+dfsg-2~16.04.sav0 Rob Savoury ()
seahorse 3.20.0-5~16.04.sav0 Rob Savoury ()
sgml-base 1.31~16.04.sav0 Rob Savoury ()
shotwell 0.30.18-0ubuntu1~16.04.sav0 Rob Savoury ()
simple-scan 3.28.0-0ubuntu1~16.04.sav1.1 Rob Savoury ()
syncevolution 1.5.3-1ubuntu2~16.04.sav0 Rob Savoury ()
sysprof 3.28.1-1~16.04.sav0 Rob Savoury ()
telepathy-glib 0.24.1-2~16.04.sav0 Rob Savoury ()
template-glib 3.28.0-1~16.04.sav0 Rob Savoury ()
totem 3.26.2-1ubuntu3~16.04.sav0 Rob Savoury ()
totem-pl-parser 3.26.5-5ubuntu1~16.04.sav0 Rob Savoury ()
tracker 2.3.6-0ubuntu1~16.04.sav0 Rob Savoury ()
unbound 1.17.1-2ubuntu0.2~16.04.sav0 Rob Savoury ()
usbmuxd 1.1.1-2~16.04.sav0 Rob Savoury ()
vala 0.40.23-0ubuntu1~16.04.sav0 Rob Savoury ()
vte2.91 0.52.2-1ubuntu1~16.04.2sav1 Rob Savoury ()
webkit2gtk 2.30.6-0ubuntu0.16.04.1sav0.1 Rob Savoury ()
webkitgtk 2.4.11-3ubuntu3+16.04.sav1.1 Rob Savoury ()
woff2 1.0.2-1build0.1~16.04.sav1 Rob Savoury ()
xapp 1.4.9-1~16.04.sav0 Rob Savoury ()
xed 2.6.2-0ubuntu1~16.04.sav0 Rob Savoury ()
xpad 5.4.0-2~16.04.sav0 Rob Savoury ()
xreader 2.6.4-0ubuntu1~16.04.sav0 Rob Savoury ()
zeitgeist 1.0-0.1ubuntu1~16.04.sav0 Rob Savoury ()
zenity 3.28.1-1~16.04.sav0 Rob Savoury ()
zlib 1:1.3.1.dfsg-0ubuntu1~16.04.sav1 Rob Savoury ()
151198 of 198 results

Latest updates

  • libsoup2.4 6 hours 10 minutes ago
    Successfully built
  • gobject-introspection 33 hours ago
    Successfully built
  • glib2.0 38 hours ago
    Successfully built
  • gnome-keyring 2 days ago
    Successfully built
  • gcr 2 days ago
    Successfully built